> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyberdesk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tags

> List all workflow tags for the organization.

Tags are returned ordered by their group (ungrouped first), then by order within group.
Each tag includes its workflow_count indicating how many workflows use it.



## OpenAPI

````yaml /openapi.json get /v1/workflow-tags
openapi: 3.1.0
info:
  title: Cyberdesk Cloud
  description: >-
    The Cyberdesk API provides programmatic access to all platform features,
    enabling you to automate desktop tasks at scale.
  version: 1.0.0
servers:
  - url: https://api.cyberdesk.io
    description: Production server
  - url: https://cyberdesk-api-dev.fly.dev
    description: Development server
security: []
paths:
  /v1/workflow-tags:
    get:
      tags:
        - workflow-tags
      summary: List Tags
      description: >-
        List all workflow tags for the organization.


        Tags are returned ordered by their group (ungrouped first), then by
        order within group.

        Each tag includes its workflow_count indicating how many workflows use
        it.
      operationId: list_tags_v1_workflow_tags_get
      parameters:
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            description: Include archived tags in the response
            default: false
            title: Include Archived
          description: Include archived tags in the response
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkflowTagResponse'
                title: Response List Tags V1 Workflow Tags Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    WorkflowTagResponse:
      properties:
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
        description:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Description
        emoji:
          anyOf:
            - type: string
              maxLength: 10
            - type: 'null'
          title: Emoji
        color:
          anyOf:
            - type: string
              maxLength: 20
            - type: 'null'
          title: Color
        group_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Group Id
          description: Optional group for mutual exclusivity
        id:
          type: string
          format: uuid
          title: Id
        organization_id:
          type: string
          title: Organization Id
        order:
          type: integer
          title: Order
        is_archived:
          type: boolean
          title: Is Archived
          default: false
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        workflow_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Workflow Count
          description: Number of workflows with this tag (returned in list endpoint)
        group:
          anyOf:
            - $ref: '#/components/schemas/WorkflowTagGroupResponse'
            - type: 'null'
          description: The group this tag belongs to
      type: object
      required:
        - name
        - id
        - organization_id
        - order
        - created_at
        - updated_at
      title: WorkflowTagResponse
      description: Workflow tag response schema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowTagGroupResponse:
      properties:
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
        description:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Description
        emoji:
          anyOf:
            - type: string
              maxLength: 10
            - type: 'null'
          title: Emoji
        color:
          anyOf:
            - type: string
              maxLength: 20
            - type: 'null'
          title: Color
        id:
          type: string
          format: uuid
          title: Id
        organization_id:
          type: string
          title: Organization Id
        order:
          type: integer
          title: Order
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - name
        - id
        - organization_id
        - order
        - created_at
        - updated_at
      title: WorkflowTagGroupResponse
      description: Workflow tag group response schema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          additionalProperties: true
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````